using System;

internal sealed class Delegate347 : MulticastDelegate
{
	public extern bool Invoke(string string_0);

	public static bool smethod_0(string string_0, Delegate347 delegate347_1)
	{
		return delegate347_1(string_0);
	}

	public extern Delegate347(object object_0, IntPtr intptr_0);

	static Delegate347()
	{
		Class10.smethod_13(typeof(Delegate347).TypeHandle);
	}

	internal static Delegate347 delegate347_0;
}
